# Stepper Motor Drivers
---
### What is a Stepper Motor Driver?
---
- A stepper driver is an electronic device which changes the current into the pulse.
- It actually does nothing on its own, it needs to be used with a controller.
- The basic function of a stepper driver is to drive the motor.

### Why a Stepper Motor Driver is needed?
---

- The voltage and the current required by the motor are not from the controller.
- The stepper driver could transform the movement instructions into the sequences.
- The sequences will be fed into the winding of unipolar step motor to make the motor run.

### Types of Stepper Motor Drivers:
---

### 1. Digital Stepper Driver:
---

> These drivers are implemented using the most modern technology. They are easy to use and can be used for driving 2-phase or 4-phase motors. Some digital stepper drivers can work with a voltage of 24 - 70 V DC, and their maximum current can reach up to 10 A. And a DIP switch can be used to set the required current and micro-steps resolution. 

Some of the ímportant features of the digital stepper drivers are:
 
- Anti-resonance.
- The motor movement will become smooth.
- Low heat and noise.
- Support multi-axis control.
- The micro-step resolution is selectable.
- Support over-current protection and over-voltage protection.

### 2. Analog Stepper Driver:
---

> These drivers may use THB7128 IC and can provide a micro-step resolution as much as 25,600 steps per rev.

Some of the ímportant features of the analog stepper drivers are:

- The output current is selectable.
- The micro-step resolution is selectable.
- H-bridge bipolar steady current driving.
- The signal input and output are isolated.
- The single pulse interface uses standard common anode.
- Off-line protection available.
- Semi-closed housing for the rough working condition.
- Automatic semi-flow lock available.

ddd